﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace ChartTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = vm;
            AddSecondChart();
        }

        private void AddSecondChart()
        {
            XamDataChart chart = new XamDataChart();
            CategoryDateTimeXAxis xAxis = new CategoryDateTimeXAxis(){
                ItemsSource = vm.ChartData,DateTimeMemberPath="Date"};
            NumericYAxis yAxis = new NumericYAxis();
            chart.Axes.Add(xAxis);
            chart.Axes.Add(yAxis);
            LineSeries series = new LineSeries()
            {
                ItemsSource = vm.ChartData,
                XAxis = xAxis,
                YAxis = yAxis,
                ValueMemberPath = "Value",
                UnknownValuePlotting = UnknownValuePlotting.LinearInterpolate
            };
            chart.Series.Add(series);

            chart.SetValue(Grid.RowProperty, 1);

            rootLayout.Children.Add(chart);

        }
    }
}
